Aache 2.0.42 with PHP 4.3 don't work 
Author Message
 Aache 2.0.42 with PHP 4.3 don't work

Hi,
I want to install the Apache 2.0.42 and PHP 4.3 on my Debian 3.0 Linux.
I installed the apache without problems. php 4.3 is compiled and so i think
it is installed.
But know, I had to tell the apache, what to do with .php files
(Apache is installed in : /usr/local/apache2/current/
php.ini is in /etc/ )

I added this lines to the httpd.conf:

<Files *.php>
  SetOutputFilter PHP
  SetInputFilter PHP
</Files>

LoadModule php4_module modules/libphp4.so
AddType application/x-httpd-php .php

But every time I'll want to access http://localhost/XXX.php the browser
wants to download XXX.php

There must be something wrong configured in the httpd.conf, so that the
apache doesn't recognize the *.php file....

Need help :-)), thx

Sebastian Grobosch



Tue, 28 Jun 2005 09:14:15 GMT  
 Aache 2.0.42 with PHP 4.3 don't work

Quote:

>But every time I'll want to access http://localhost/XXX.php the browser
>wants to download XXX.php

Try using wget -S and see that headers are being sent.

--
http://www.spinics.net/linux/



Tue, 28 Jun 2005 10:57:29 GMT  
 Aache 2.0.42 with PHP 4.3 don't work

Quote:

> There must be something wrong configured in the httpd.conf, so that the
> apache doesn't recognize the *.php file....

> Need help :-)), thx

> Sebastian Grobosch

I think i had that problem but i fixed when i realised what flags i need to
./configure it with... something about setting apache to accept shared
objects or something, i don't quite remember... and when you compile php u
have to compile it with apxs2 or some rubbish... someone else might be able
to help you further, sorry.


Tue, 28 Jun 2005 12:58:15 GMT  
 Aache 2.0.42 with PHP 4.3 don't work

Quote:
> Hi,
> I want to install the Apache 2.0.42 and PHP 4.3 on my Debian 3.0 Linux.
> I installed the apache without problems. php 4.3 is compiled and so i
think
> it is installed.
> But know, I had to tell the apache, what to do with .php files
> (Apache is installed in : /usr/local/apache2/current/
> php.ini is in /etc/ )

> I added this lines to the httpd.conf:

> <Files *.php>
>   SetOutputFilter PHP
>   SetInputFilter PHP
> </Files>

> LoadModule php4_module modules/libphp4.so
> AddType application/x-httpd-php .php

> But every time I'll want to access http://localhost/XXX.php the browser
> wants to download XXX.php

> There must be something wrong configured in the httpd.conf, so that the
> apache doesn't recognize the *.php file....

> Need help :-)), thx

> Sebastian Grobosch

Hi Sebastian,

I compiled PHO as follows:
'./configure' \
'--with-apxs2=/usr/local/apache2/bin/apxs' \
'--with-mysql' \
'--enable-track-vars' \
'--with-gettext' \
'--with-gd' \
'--with-jpg-dir=/usr/include' \
'--with-zlib-dir=/usr/include' \
'--with-openssl=/usr/local/ssl' \
'--with-imagick' \
'--enable-bcmath' \
'--enable-calendar' \
'--enable-ftp' \
'--enable-sockets' \

In httpd.conf:
LoadModule php4_module          modules/libphp4.so
AddType application/x-httpd-php .php

<IfModule mod_php4.c>
  php_value include_path ".:/usr/local/lib/php"
  php_flag safe_mode on
</IfModule>

That's it.

BTW I had a similar problem like you had that was caused by a faulty
mod_perl module.

hth

Meint



Tue, 28 Jun 2005 16:30:30 GMT  
 Aache 2.0.42 with PHP 4.3 don't work
yes, the mod_perl module.... :-D that is the problem....

Sebastian



Quote:


> > Hi,
> > I want to install the Apache 2.0.42 and PHP 4.3 on my Debian 3.0 Linux.
> > I installed the apache without problems. php 4.3 is compiled and so i
> think
> > it is installed.
> > But know, I had to tell the apache, what to do with .php files
> > (Apache is installed in : /usr/local/apache2/current/
> > php.ini is in /etc/ )

> > I added this lines to the httpd.conf:

> > <Files *.php>
> >   SetOutputFilter PHP
> >   SetInputFilter PHP
> > </Files>

> > LoadModule php4_module modules/libphp4.so
> > AddType application/x-httpd-php .php

> > But every time I'll want to access http://localhost/XXX.php the browser
> > wants to download XXX.php

> > There must be something wrong configured in the httpd.conf, so that the
> > apache doesn't recognize the *.php file....

> > Need help :-)), thx

> > Sebastian Grobosch

> Hi Sebastian,

> I compiled PHO as follows:
> './configure' \
> '--with-apxs2=/usr/local/apache2/bin/apxs' \
> '--with-mysql' \
> '--enable-track-vars' \
> '--with-gettext' \
> '--with-gd' \
> '--with-jpg-dir=/usr/include' \
> '--with-zlib-dir=/usr/include' \
> '--with-openssl=/usr/local/ssl' \
> '--with-imagick' \
> '--enable-bcmath' \
> '--enable-calendar' \
> '--enable-ftp' \
> '--enable-sockets' \

> In httpd.conf:
> LoadModule php4_module          modules/libphp4.so
> AddType application/x-httpd-php .php

> <IfModule mod_php4.c>
>   php_value include_path ".:/usr/local/lib/php"
>   php_flag safe_mode on
> </IfModule>

> That's it.

> BTW I had a similar problem like you had that was caused by a faulty
> mod_perl module.

> hth

> Meint



Wed, 29 Jun 2005 06:15:28 GMT  
 Aache 2.0.42 with PHP 4.3 don't work
It must be
1. LoadModule php4_module modules/libphp4.so
2. LoadModule perl_module modules/mod_perl.so

and NOT

LoadModule perl_module modules/mod_perl.so
LoadModule php4_module modules/libphp4.so

in the httpd.conf

Sebastian



Quote:
> Hi,
> I want to install the Apache 2.0.42 and PHP 4.3 on my Debian 3.0 Linux.
> I installed the apache without problems. php 4.3 is compiled and so i
think
> it is installed.
> But know, I had to tell the apache, what to do with .php files
> (Apache is installed in : /usr/local/apache2/current/
> php.ini is in /etc/ )

> I added this lines to the httpd.conf:

> <Files *.php>
>   SetOutputFilter PHP
>   SetInputFilter PHP
> </Files>

> LoadModule php4_module modules/libphp4.so
> AddType application/x-httpd-php .php

> But every time I'll want to access http://localhost/XXX.php the browser
> wants to download XXX.php

> There must be something wrong configured in the httpd.conf, so that the
> apache doesn't recognize the *.php file....

> Need help :-)), thx

> Sebastian Grobosch



Wed, 29 Jun 2005 06:17:31 GMT  
 
 [ 6 post ] 

 Relevant Pages 

1. Getting gd_info to work with PHP 4.3/Apache 1.3.27

2. install PHP 4.2 and PHP 4.3 on the same host

3. PHP files don't work in Windows network drive

4. comp.lang.php weekly statistics (week 42)

5. [WIN32] Use Apache 2.0.42 and PHP 4.2.3

6. php and apache 2.0.42

7. 42-Spam-42: Oberon?

8. php 4.3 and sessions

9. Undefined function imagecreatefromjpeg with bundled GD in PHP 4.3

10. PHP 4.3 on Redhat Linux 8.0 fails to compile

11. Windows Apache 2 / PHP 4.3 Setup

12. Problem compiling php 4.3 with gd

 

 
Powered by phpBB® Forum Software